## org.hibernate.metamodel.source.hbm
Class ManyToManyPluralAttributeElementSourceImpl

    java.lang.Object
      org.hibernate.metamodel.source.hbm.ManyToManyPluralAttributeElementSourceImpl

All Implemented Interfaces:
  ManyToManyPluralAttributeElementSource, PluralAttributeElementSource

    public class ManyToManyPluralAttributeElementSourceImpl

extends Object
implements ManyToManyPluralAttributeElementSource

Constructor Summary
`ManyToManyPluralAttributeElementSourceImpl(JaxbManyToManyElement manyToManyElement, LocalBindingContext bindingContext)`

Method Summary
`boolean` `fetchImmediately()`
`String` `getExplicitForeignKeyName()`
`FetchMode` `getFetchMode()`
`PluralAttributeElementNature` `getNature()`
`String` `getOrderBy()`
`String` `getReferencedEntityAttributeName()`
`String` `getReferencedEntityName()`
`List<RelationalValueSource>` `getValueSources()`
`String` `getWhere()`
`boolean` `isNotFoundAnException()`
`boolean` `isUnique()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManyToManyPluralAttributeElementSourceImpl

    public ManyToManyPluralAttributeElementSourceImpl(JaxbManyToManyElement manyToManyElement,
                                                      LocalBindingContext bindingContext)

Method Detail

### getNature

    public PluralAttributeElementNature getNature()

  Specified by:
    `getNature` in interface `PluralAttributeElementSource`

### getReferencedEntityName

    public String getReferencedEntityName()

  Specified by:
    `getReferencedEntityName` in interface `ManyToManyPluralAttributeElementSource`

### getReferencedEntityAttributeName

    public String getReferencedEntityAttributeName()

  Specified by:
    `getReferencedEntityAttributeName` in interface `ManyToManyPluralAttributeElementSource`

### getValueSources

    public List<RelationalValueSource> getValueSources()

  Specified by:
    `getValueSources` in interface `ManyToManyPluralAttributeElementSource`

### isNotFoundAnException

    public boolean isNotFoundAnException()

  Specified by:
    `isNotFoundAnException` in interface `ManyToManyPluralAttributeElementSource`

### getExplicitForeignKeyName

    public String getExplicitForeignKeyName()

  Specified by:
    `getExplicitForeignKeyName` in interface `ManyToManyPluralAttributeElementSource`

### isUnique

    public boolean isUnique()

  Specified by:
    `isUnique` in interface `ManyToManyPluralAttributeElementSource`

### getOrderBy

    public String getOrderBy()

  Specified by:
    `getOrderBy` in interface `ManyToManyPluralAttributeElementSource`

### getWhere

    public String getWhere()

  Specified by:
    `getWhere` in interface `ManyToManyPluralAttributeElementSource`

### getFetchMode

    public FetchMode getFetchMode()

  Specified by:
    `getFetchMode` in interface `ManyToManyPluralAttributeElementSource`

### fetchImmediately

    public boolean fetchImmediately()

  Specified by:
    `fetchImmediately` in interface `ManyToManyPluralAttributeElementSource`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.